import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks';
import { AccelListenerEvent } from '@capacitor/motion';
export type MotionInfo = AccelListenerEvent | Pick<AccelListenerEvent, 'rotationRate'>;
export declare function saveMotionInfo(params: {
    deep: DeepClient;
    info: MotionInfo;
} & ({
    deviceLinkId: number;
} | {
    deviceLink: Link<number>;
})): Promise<void>;
